#!/bin/sh
#

#  This batch file is used to run the example.  This batch file assumes that you
#  are running the client on the same machine as ServletExec, that ServletExec is
#  running on port 80 and that the web application was deployed with a URL context of
#  "/axis/".  If any of these are not true then you will need to edit this batch
#  file and modify the endpoint URL in create-WSDL.sh and deploy-web-service.sh.

./setenv.sh

CLASSPATH=../client:../webapp/WEB-INF/classes:$SERVLETEXEC_HOME/lib/xercesImpl.jar:$SERVLETEXEC_HOME/lib/dom.jar:$SERVLETEXEC_HOME/lib/sax.jar:$SERVLETEXEC_HOME/lib/jaxp-api.jar:$AXIS_HOME/lib/axis.jar:$AXIS_HOME/lib/commons-logging.jar:$AXIS_HOME/lib/jaxrpc.jar:$AXIS_HOME/lib/saaj.jar:$AXIS_HOME/lib/commons-discovery.jar

$JDK_HOME/bin/java -classpath $CLASSPATH com.newatlanta.examples.ExampleWebServiceClient -lhttp://localhost:80/axis/servlet/AxisServlet

pause

./cleanupenv.sh
