/* 

	ExampleWebServiceClient.java
	
	This is an example client that invokes a web service.

*/

package com.newatlanta.examples;

public class ExampleWebServiceClient
{
	public static void main( String[] args )
	{
		try
		{			
			// Make a service
			ExampleWebServiceIFService service = new ExampleWebServiceIFServiceLocator();
			
			// Use the service to get a stub which implements the interface
			ExampleWebServiceIF ex = service.getExampleWebServiceIF();
			
			// Set the message
			ex.setMessage( "SUCCESS!!!" );
			
			// Retrieve and display the message
			System.out.println( ex.getMessage() );
		}
		catch ( Throwable t )
		{
			t.printStackTrace();
		}
	}
}
