/* 

	ExampleWebServiceIF.java
	
	This is an example service definition interface.  It must
	meet the following requirements:
	
	 - extend Remote
	 - all methods must throw a RemoteException or one of its subclasses
	 - not define constants (ie. public static final members)
	 - only use method parameter and return types that are
	   supported by JAX-RPC

*/

package com.newatlanta.examples;

import java.rmi.*;

public interface ExampleWebServiceIF extends Remote
{
	public void		setMessage( String msg ) throws RemoteException;

	public String	getMessage() throws RemoteException;
}
